import 'dart:ui';

import '../key_book.dart';

class FLangKeyBookEnglish extends FLangKeyBook {
  FLangKeyBookEnglish() : super(LocaleConst);

  static const LocaleConst = const Locale("en", "US");

  @override
  CommonModule buildCommonKeys() {
    return CommonModule(
      cancel: "Cancel",
      submit: "Submit",
      email: 'Email',
      mobilePhoneNumber: 'PhoneNumber',
      open: 'Open',
      search: 'Search',
      createTime: 'CreateTime',
      filtrate: 'Filtrate',
      finish: 'Finish',
      forward: 'Forward',
      refresh: 'Refresh',
      status: 'Status',
      waiting: 'Waiting...',
      loading: 'Loading...',
    );
  }

  @override
  ApplicationModule buildApplicationKeys() {
    return ApplicationModule(
      fisServerName: "Flyinsono server",
      wechat: "WeChat",
      cloudImage: 'Cloud images',
      localScreenshot: 'Local screenshots',
      report: 'Report',
    );
  }

  @override
  StateModule buildStateKeys() {
    return StateModule(
      finished: "Finished",
      unhandled: "Unhandled",
    );
  }

  @override
  HomePageModule buildHomePageKeys() {
    return HomePageModule(
      welcome: "Welcome",
    );
  }

  @override
  RemedicalModule buildRemedicalKeys() {
    return RemedicalModule(
      patientName: "Ptient name",
      patientFrom: "From",
      ultrasoundReport: "Ultrasound report",
      abdomen: "Abdomen",
    );
  }

  @override
  RouteModule buildRouteKeys() {
    return RouteModule(
      home: "Home",
      contact: "Contact",
      conversation: "Conversation",
      remedical: "Remedical",
      course: "Course",
      statistics: "Statistics",
      setting: "Setting",
      btnDemo: "ButtonDemo",
    );
  }

  @override
  SettingModule buildSettingKeys() {
    return SettingModule(
      networkSetting: "Network setting",
    );
  }

  @override
  UserModule buildUserKeys() {
    return UserModule(
      login: "Login",
      register: "Register",
      account: "Account",
      password: "Password",
      hintEnterPassword: "Enter password...",
      forgotPassword: "Forgot password",
      hintOtherLoginChannels: "Other channels",
    );
  }
}
