import 'dart:ui';

import '../key_book.dart';

class FLangKeyBookChinese extends FLangKeyBook {
  FLangKeyBookChinese() : super(LocaleConst);

  static const LocaleConst = const Locale("zh", "CN");

  @override
  CommonModule buildCommonKeys() {
    return CommonModule(
      cancel: "取消",
      submit: "提交",
      email: '邮箱',
      mobilePhoneNumber: '手机号',
      open: '打开',
      search: '搜索',
      createTime: '创建时间',
      filtrate: '筛选',
      finish: '完成',
      forward: '转发',
      refresh: '刷新',
      status: '状态',
      waiting: '等待中...',
      loading: '加载中...',
    );
  }

  @override
  ApplicationModule buildApplicationKeys() {
    return ApplicationModule(
      fisServerName: "杏聆荟服务器",
      wechat: "微信",
      cloudImage: '云端图像',
      localScreenshot: '本地截图',
      report: '报告',
    );
  }

  @override
  StateModule buildStateKeys() {
    return StateModule(
      finished: "已完成",
      unhandled: "未处理",
    );
  }

  @override
  HomePageModule buildHomePageKeys() {
    return HomePageModule(
      welcome: "欢迎",
    );
  }

  @override
  RemedicalModule buildRemedicalKeys() {
    return RemedicalModule(
      patientName: "病人名",
      patientFrom: "来自于",
      ultrasoundReport: "超声报告",
      abdomen: "腹部",
    );
  }

  @override
  RouteModule buildRouteKeys() {
    return RouteModule(
      home: "首页",
      contact: "联系人",
      conversation: "会话",
      remedical: "诊断",
      course: "课程",
      statistics: "统计",
      setting: "设置",
      btnDemo: "按钮",
    );
  }

  @override
  SettingModule buildSettingKeys() {
    return SettingModule(
      networkSetting: "网络设置",
    );
  }

  @override
  UserModule buildUserKeys() {
    return UserModule(
      login: "登录",
      register: "注册",
      account: "账号",
      password: "密码",
      hintEnterPassword: "请输入密码...",
      forgotPassword: "忘记密码？",
      hintOtherLoginChannels: "其他登录方式",
    );
  }
}
